package com.ics.admin.service.meeting;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.ics.admin.domain.meeting.RoomRecord;
import com.baomidou.mybatisplus.extension.service.IService;

import java.util.Date;
import java.util.List;

/**
 * 用户开门记录Service接口
 * 
 * @author ics
 * @date 2024-03-11
 */
public interface IRoomRecordService extends IService<RoomRecord> {
    /**
     * 查询用户开门记录
     * 
     * @param id 用户开门记录ID
     * @return 用户开门记录
     */
    RoomRecord selectRoomRecordById(Long id);

    /**
     * 查询用户开门记录列表
     * 
     * @param roomRecord 用户开门记录
     * @return 用户开门记录集合
     */
    List<RoomRecord> selectRoomRecordList(RoomRecord roomRecord);

    /**
     * 新增用户开门记录
     * 
     * @param roomRecord 用户开门记录
     * @return 结果
     */
    int insertRoomRecord(RoomRecord roomRecord);

    /**
     * 修改用户开门记录
     * 
     * @param roomRecord 用户开门记录
     * @return 结果
     */
    int updateRoomRecord(RoomRecord roomRecord);

    /**
     * 批量删除用户开门记录
     * 
     * @param ids 需要删除的数据ID
     * @return 结果
     */
    int deleteRoomRecordByIds(String ids);

    /**
     * 删除用户开门记录信息
     * 
     * @param id 用户开门记录ID
     * @return 结果
     */
    int deleteRoomRecordById(Long id);

    IPage<RoomRecord> getOpenDoorRecord(RoomRecord roomRecord, Integer pageNum, Integer pageSize);

    RoomRecord selectTimeByUserId(Date startTime,Date  endTime, Long participantId);

}
